Base interface for declaring a view

This interface defines the basic data that a normalized view declaration will have on it. Each implementation of UI-Router (for a specific framework) should define its own extension of this interface. Add any additional fields that the framework requires to that interface.

### Hierarchy

- _ViewDeclaration

## Index

### Properties

- $context
- $name
- $type
- $uiViewContextAnchor
- $uiViewName

## Properties

$context: ViewContext

The context that this view is declared within.

The context that this view is declared within.

- Defined in state/interface.ts:79

$name: string

The raw name for the view declaration, i.e., the StateDeclaration.views property name.

The raw name for the view declaration, i.e., the StateDeclaration.views property name.

- Defined in state/interface.ts:43

$type: string

A type identifier for the View

A type identifier for the View

This is used when loading prerequisites for the view, before it enters the DOM. Different types of views may load differently (e.g., templateProvider+controllerProvider vs component class)

- Defined in state/interface.ts:73

$uiViewContextAnchor: string

The normalized context anchor (state name) for the `uiViewName`

The normalized context anchor (state name) for the `uiViewName`

When targeting a `ui-view`, the `uiViewName` address is anchored to a context name (state name).

- Defined in state/interface.ts:64

$uiViewName: string

The normalized address for the `ui-view` which this ViewConfig targets.

The normalized address for the `ui-view` which this ViewConfig targets.

A ViewConfig targets a `ui-view` in the DOM (relative to the `uiViewContextAnchor`) which has a specific name.

example

  `header` or `$default`

  The `uiViewName` can also target a nested view by providing a dot-notation address

example

  `foo.bar` or `foo.$default.bar`

- Defined in state/interface.ts:56

Generated using TypeDoc